diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..db55487
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+softcenter/to_remove.txt
+softcenter/.idea
+~
diff --git a/dc1svr/backup.sh b/dc1svr/backup.sh
new file mode 100755
index 0000000..2fb5b1a
--- /dev/null
+++ b/dc1svr/backup.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+# you can do something here
+# this shell scripts will run at the end of build.py scripts
+
+
+
+mkdir -p history
+if [ ! -f ./history/version ];then
+ touch ./history/version
+fi
+
+version_old=`cat history/version | awk '{print $1}' | sort -rn |sed -n 1p`
+version_new=`cat config.json.js |grep "version"|cut -d"\"" -f 4`
+md5_old=`cat history/version | sort -nk1 | awk '{print $1}' |sed -n 1p`
+md5_new=` md5sum dc1svr.tar.gz | awk '{print $1}'`
+
+if [ -f ./dc1svr.tar.gz ];then
+ if [ "$version_old" != "$version_new" ];then
+ mkdir ./history/$version_new/
+ cp ./dc1svr.tar.gz ./history/$version_new/
+ echo $version_new $md5_new >> ./history/version
+ fi
+fi
+
diff --git a/dc1svr/build.sh b/dc1svr/build.sh
new file mode 100755
index 0000000..f60e83d
--- /dev/null
+++ b/dc1svr/build.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+
+MODULE=dc1svr
+VERSION=1.0
+TITLE=dc1服务器
+DESCRIPTION=dc1服务器
+HOME_URL=Module_dc1svr.asp
+
+# Check and include base
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+if [ "$MODULE" == "" ]; then
+ echo "module not found"
+ exit 1
+fi
+
+if [ -f "$DIR/$MODULE/$MODULE/install.sh" ]; then
+ echo "install script not found"
+ exit 2
+fi
+
+# now include build_base.sh
+. $DIR/../softcenter/build_base.sh
+
+# change to module directory
+cd $DIR
+
+# do something here
+
+do_build_result
diff --git a/dc1svr/config.json.js b/dc1svr/config.json.js
new file mode 100644
index 0000000..ebc3547
--- /dev/null
+++ b/dc1svr/config.json.js
@@ -0,0 +1,8 @@
+{
+"version":"1.0",
+"md5":"7bab90695d4d9b38a03bc15aa2b20637",
+"home_url":"Module_dc1svr.asp",
+"title":"dc1服务器",
+"description":"dc1服务器",
+"build_date":"2019-02-12_18:38:27"
+}
diff --git a/dc1svr/dc1svr.tar.gz b/dc1svr/dc1svr.tar.gz
new file mode 100644
index 0000000..accc171
Binary files /dev/null and b/dc1svr/dc1svr.tar.gz differ
diff --git a/dc1svr/dc1svr/bin/dc1svr b/dc1svr/dc1svr/bin/dc1svr
new file mode 100755
index 0000000..3f1ed68
Binary files /dev/null and b/dc1svr/dc1svr/bin/dc1svr differ
diff --git a/dc1svr/dc1svr/install.sh b/dc1svr/dc1svr/install.sh
new file mode 100644
index 0000000..1d38af7
--- /dev/null
+++ b/dc1svr/dc1svr/install.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+enable=`dbus get dc1svr_enable`
+if [ "$enable" == "1" ];then
+ restart=1
+ dbus set dc1svr_enable=0
+ sh /jffs/softcenter/scripts/dc1.sh
+fi
+
+# cp files
+cp -rf /tmp/dc1svr/scripts/* /jffs/softcenter/scripts/
+cp -rf /tmp/dc1svr/bin/* /jffs/softcenter/bin/
+cp -rf /tmp/dc1svr/webs/* /jffs/softcenter/webs/
+cp -rf /tmp/dc1svr/res/* /jffs/softcenter/res/
+
+# delete install tar
+rm -rf /tmp/dc1svr* >/dev/null 2>&1
+
+chmod a+x /jffs/softcenter/scripts/dc1.sh
+chmod 0755 /jffs/softcenter/bin/dc1svr
+dbus set dc1svr_version="1.0"
+dbus set softcenter_module_dc1svr_version="1.0"
+dbus set softcenter_module_dc1svr_description="dc1服务器"
+dbus set softcenter_module_dc1svr_install=1
+dbus set softcenter_module_dc1svr_name=dc1svr
+dbus set softcenter_module_dc1svr_title="dc1服务器"
+if [ "$restart" == "1" ];then
+ dbus set dc1svr_enable=1
+ sh /jffs/softcenter/scripts/dc1.sh
+fi
+
diff --git a/dc1svr/dc1svr/res/icon-dc1svr.png b/dc1svr/dc1svr/res/icon-dc1svr.png
new file mode 100755
index 0000000..a31edae
Binary files /dev/null and b/dc1svr/dc1svr/res/icon-dc1svr.png differ
diff --git a/dc1svr/dc1svr/scripts/dc1.sh b/dc1svr/dc1svr/scripts/dc1.sh
new file mode 100644
index 0000000..0fe2cc0
--- /dev/null
+++ b/dc1svr/dc1svr/scripts/dc1.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# load path environment in dbus databse
+eval `dbus export dc1svr`
+source /jffs/softcenter/scripts/base.sh
+CONFIG_FILE=/tmp/etc/dnsmasq.user/dc1.conf
+
+start_dc1(){
+ /jffs/softcenter/bin/dc1svr
+ echo "address=/Smartplugconnect.phicomm.com/$(nvram get lan_ipaddr)" > $CONFIG_FILE
+ service restart_dnsmasq
+
+ if [ ! -e "/jffs/softcenter/init.d/S97dc1svr.sh" ]; then
+ cp -f /jffs/softcenter/scripts/dc1svr.sh /jffs/softcenter/init.d/S97dc1svr.sh
+ fi
+}
+stop_dc1(){
+ killall dc1svr
+ rm $CONFIG_FILE
+ rm /jffs/softcenter/init.d/S97dc1svr.sh
+ service restart_dnsmasq
+}
+startdc1(){
+ if [ "$dc1svr_enable" == "1" ]; then
+ logger "[软件中心]: 启动dc1服务器!"
+ start_dc1
+ fi
+}
+case $ACTION in
+ *)
+ startdc1
+ ;;
+esac
diff --git a/dc1svr/dc1svr/webs/Module_dc1svr.asp b/dc1svr/dc1svr/webs/Module_dc1svr.asp
new file mode 100644
index 0000000..690cd7b
--- /dev/null
+++ b/dc1svr/dc1svr/webs/Module_dc1svr.asp
@@ -0,0 +1,192 @@
+
+
+
+
+
+
+
+
+
+ 软件中心 - DC1服务器
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/dc1svr/version b/dc1svr/version
new file mode 100644
index 0000000..b3a59a0
--- /dev/null
+++ b/dc1svr/version
@@ -0,0 +1,2 @@
+1.0
+7bab90695d4d9b38a03bc15aa2b20637
diff --git a/kms/kms/webs/Module_kms.asp b/kms/kms/webs/Module_kms.asp
index 2c4e9ca..bf6144f 100644
--- a/kms/kms/webs/Module_kms.asp
+++ b/kms/kms/webs/Module_kms.asp
@@ -84,10 +84,8 @@
var enable_ss = "<% nvram_get("enable_ss"); %>";
var enable_soft = "<% nvram_get("enable_soft"); %>";
function menu_hook(title, tab) {
- tabtitle[tabtitle.length -1] = new Array("", "KMS");
- tablink[tablink.length -1] = new Array("", "Module_kms.asp");
- tabtitle[tabtitle.length -1] = new Array("", "软件中心", "离线安装", "KMS");
- tablink[tablink.length -1] = new Array("", "Main_Soft_center.asp", "Main_Soft_setting.asp", "Module_kms.asp");
+ tabtitle[tabtitle.length -1] = new Array("", "软件中心", "离线安装", "KMS");
+ tablink[tablink.length -1] = new Array("", "Main_Soft_center.asp", "Main_Soft_setting.asp", "Module_kms.asp");
}
diff --git a/mdial/backup.sh b/mdial/backup.sh
new file mode 100755
index 0000000..e71b0fc
--- /dev/null
+++ b/mdial/backup.sh
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+# you can do something here
+# this shell scripts will run at the end of build.py scripts
+
+tar_name="$1.tar.gz"
+
+mkdir -p history
+if [ ! -f ./history/version ];then
+ touch ./history/version
+fi
+
+version_old=`cat history/version | awk '{print $1}' | sort -rn |sed -n 1p`
+version_new=`cat config.json.js |grep "version"|cut -d"\"" -f 4`
+md5_old=`cat history/version | sort -nk1 | awk '{print $1}' |sed -n 1p`
+md5_new=` md5sum $tar_name | awk '{print $1}'`
+
+if [ -f ./$tar_name ];then
+ if [ "$version_old" != "$version_new" ];then
+ mkdir ./history/$version_new/
+ cp ./$tar_name ./history/$version_new/
+ echo $version_new $md5_new >> ./history/version
+ fi
+fi
diff --git a/mdial/backup.sh~ b/mdial/backup.sh~
new file mode 100644
index 0000000..e69de29
diff --git a/mdial/build.sh b/mdial/build.sh
new file mode 100755
index 0000000..87e9200
--- /dev/null
+++ b/mdial/build.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+MODULE="mdial"
+VERSION="1.3"
+TITLE="单线多拨"
+DESCRIPTION="pppoe单线多拨,带宽提升神器!"
+HOME_URL="Module_mdial.asp"
+
+# Check and include base
+DIR="$( cd "$( dirname "$BASH_SOURCE[0]" )" && pwd )"
+
+# now include build_base.sh
+. $DIR/../softcenter/build_base.sh
+
+# change to module directory
+cd $DIR
+
+# do something here
+
+do_build_result
+
+sh backup.sh $MODULE
diff --git a/mdial/build.sh~ b/mdial/build.sh~
new file mode 100644
index 0000000..e69de29
diff --git a/mdial/config.json.js b/mdial/config.json.js
new file mode 100644
index 0000000..82dcdb8
--- /dev/null
+++ b/mdial/config.json.js
@@ -0,0 +1,8 @@
+{
+"version":"1.3",
+"md5":"becd45a122614c2c2290c66aa11332d1",
+"home_url":"Module_mdial.asp",
+"title":"单线多拨",
+"description":"pppoe单线多拨,带宽提升神器!",
+"build_date":"2019-01-23_18:38:39"
+}
diff --git a/mdial/history/1.3/mdial.tar.gz b/mdial/history/1.3/mdial.tar.gz
new file mode 100644
index 0000000..74d346c
Binary files /dev/null and b/mdial/history/1.3/mdial.tar.gz differ
diff --git a/mdial/history/version b/mdial/history/version
new file mode 100644
index 0000000..d316960
--- /dev/null
+++ b/mdial/history/version
@@ -0,0 +1 @@
+1.3 dd4abcd5d03ad42d97fe46f1fa92f6fe
diff --git a/mdial/mdial.tar.gz b/mdial/mdial.tar.gz
new file mode 100644
index 0000000..35ea958
Binary files /dev/null and b/mdial/mdial.tar.gz differ
diff --git a/mdial/mdial/install.sh b/mdial/mdial/install.sh
new file mode 100644
index 0000000..edb2c1c
--- /dev/null
+++ b/mdial/mdial/install.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+export KSROOT=/jffs/softcenter
+source $KSROOT/scripts/base.sh
+mdial_enable=`dbus get mdial_enable`
+
+find /jffs/softcenter/init.d/ -name "*mdial*" | xargs rm -rf
+find /jffs/softcenter/init.d/ -name "*mdial*" | xargs rm -rf
+
+if [ "$mdial_enable" == "1" ];then
+ [ -f "/jffs/softcenter/scripts/mdial_config.sh" ] && sh /jffs/softcenter/scripts/mdial_config.sh stop
+fi
+
+cp -rf /tmp/mdial/scripts/* /jffs/softcenter/scripts/
+cp -rf /tmp/mdial/webs/* /jffs/softcenter/webs/
+cp -rf /tmp/mdial/res/* /jffs/softcenter/res/
+cp -rf /tmp/mdial/uninstall.sh /jffs/softcenter/scripts/uninstall_mdial.sh
+
+rm -fr /tmp/mdial* >/dev/null 2>&1
+chmod +x /jffs/softcenter/scripts/mdial*.sh
+chmod +x /jffs/softcenter/scripts/uninstall_mdial.sh
+[ ! -L "/jffs/softcenter/init.d/S10mdial.sh" ] && cp -rf /jffs/softcenter/scripts/mdial_config.sh /jffs/softcenter/init.d/S10mdial.sh
+
+
+dbus set mdial_version="1.0"
+dbus set softcenter_module_mdial_version="1.0"
+dbus set softcenter_module_mdial_description="pppoe单线多拨,带宽提升神器!"
+dbus set softcenter_module_mdial_install=1
+dbus set softcenter_module_mdial_name=mdial
+dbus set softcenter_module_mdial_title="单线多拨"
+sleep 1
+
+if [ "$mdial_enable" == "1" ];then
+ [ -f "/jffs/softcenter/scripts/mdial_config.sh" ] && sh /jffs/softcenter/scripts/mdial_config.sh start
+fi
+
diff --git a/mdial/mdial/res/icon-mdial.png b/mdial/mdial/res/icon-mdial.png
new file mode 100644
index 0000000..43061c6
Binary files /dev/null and b/mdial/mdial/res/icon-mdial.png differ
diff --git a/mdial/mdial/res/mdial_check.htm b/mdial/mdial/res/mdial_check.htm
new file mode 100644
index 0000000..a8b4505
--- /dev/null
+++ b/mdial/mdial/res/mdial_check.htm
@@ -0,0 +1 @@
+<% nvram_dump("mdial.log",""); %>
diff --git a/mdial/mdial/res/mdial_log.htm b/mdial/mdial/res/mdial_log.htm
new file mode 100644
index 0000000..add90bd
--- /dev/null
+++ b/mdial/mdial/res/mdial_log.htm
@@ -0,0 +1,2 @@
+<% nvram_dump("mdial_log.log",""); %>
+
diff --git a/mdial/mdial/scripts/mdial_config.sh b/mdial/mdial/scripts/mdial_config.sh
new file mode 100644
index 0000000..f21fd26
--- /dev/null
+++ b/mdial/mdial/scripts/mdial_config.sh
@@ -0,0 +1,178 @@
+#!/bin/sh
+
+eval `dbus export mdial_`
+source /jffs/softcenter/scripts/base.sh
+alias echo_date='echo 【$(TZ=UTC-8 date -R +%Y年%m月%d日\ %X)】:'
+LOG_FILE=/tmp/mdial_log.log
+echo " " > $LOG_FILE
+
+start(){
+ echo_date "==========================================================="
+ if [ "$(nvram get wan_proto)" != "pppoe" ];then
+ echo_date "你的网络不是pppoe拨号方式,不能使用本插件!"
+ echo_date "退出!!"
+ echo_date "==========================================================="
+ dbus set mdial_enable=0
+ return 1
+ fi
+ num=$mdial_nu
+ dialed=`ifconfig | grep -c ppp[0-9]`
+ max_ppp=$(ifconfig | grep ppp[0-9]|awk '{print $1}'|sed 's/ppp//g'|sort -n|tail -n1)
+
+ if [ $dialed -lt $num ];then
+ dial_nu=$(($num - $dialed))
+ echo_date "已经拨号$dialed个,还需要拨号$dial_nu个"
+ start_dial $dialed $dial_nu $max_ppp
+ elif [ $dialed -eq $num ];then
+ echo_date "已经拨号$dialed个,不需要继续拨号"
+ elif [ $dialed -gt $num ];then
+ kill_nu=$(($dialed - $num))
+ echo_date "已经拨号$dialed个,需要关闭$kill_nu个"
+ fi
+}
+
+start_dial(){
+ local dialed_nu=$1
+ local dial_nu=$2
+ local ppp_nu=$(($3 + 1))
+ local count=0
+
+ #echo dialed_nu $dialed_nu
+ #echo dial_nu $dial_nu
+ #echo ppp_nu $ppp_nu
+
+ mkdir -p /jffs/softcenter/configs/mdial
+ rm -rf /jffs/softcenter/configs/mdial/*
+
+ # 生成已拨号的负载均衡命令
+ cmd="ip route add default"
+ local lb_count=1
+ while [ $lb_count -le $dialed_nu ]
+ do
+ local pppoe=`ifconfig | grep ppp[0-9] | awk '{print $1}'| sort -n |sed -n "$lb_count p"`
+ local ip=`ifconfig | grep -E 'ppp[0-9]|P-t-P' | awk '{print $3}' | grep P-t-P | head -n $lb_count | cut -d ':' -f 2 | tail -1`
+ cmd="${cmd} nexthop via $ip dev $pppoe weight 1 "
+ let lb_count+=1
+ done
+
+ # 开始拨号
+ while [ $count -lt $dial_nu ]
+ do
+ # 开始拨号
+ echo_date "-----------------------------------------------------------"
+ #echo_date "正在复制ppp$ppp_nu拨号配置文件..."
+ cp /tmp/ppp/options.wan0 /jffs/softcenter/configs/mdial/options.mdial$ppp_nu
+ sed -i "s/linkname .*/linkname mdial$ppp_nu/" /jffs/softcenter/configs/mdial/options.mdial$ppp_nu
+ echo_date "第$(( $ppp_nu + 1 ))拨:ppp$ppp_nu开始拨号..."
+ /usr/sbin/pppd file /jffs/softcenter/configs/mdial/options.mdial$ppp_nu >/dev/null 2>&1
+
+ #判断拨号是否成功
+ local i=50
+ until [ -n "`ifconfig | grep ppp$ppp_nu`" ]
+ do
+ i=$(($i-1))
+ echo_date "等待ppp$ppp_nu拨号完成..."
+ usleep 200000
+ if [ "$i" -lt 1 ];then
+ echo_date "ppp$ppp_nu拨号失败..."
+ return 1
+ fi
+ done
+
+ if [ "$?" == "0" ];then
+ # 生成路由表命令
+ local gw_addr=$(ifconfig|grep -A 1 ppp$ppp_nu|grep -Eo 'P-t-P:([0-9]{1,3}[\.]){3}[0-9]{1,3}'|awk -F":" '{print $2}')
+ cmd="${cmd} nexthop via $gw_addr dev ppp$ppp_nu weight 1 "
+
+ # 添加iptables
+ echo_date "为ppp$ppp_nu配置防火墙..."
+ local ip_addr=$(ifconfig|grep -A 1 ppp$ppp_nu|grep -Eo 'inet addr:([0-9]{1,3}[\.]){3}[0-9]{1,3}'|awk -F":" '{print $2}')
+ local PPP_NU=$(iptables -t nat -L POSTROUTING -v -n --line-numbers|grep ppp|tail -n1|awk '{print $1}')||0
+ let PPP_NU+=1
+ iptables -t nat -I POSTROUTING $PPP_NU ! -s $ip_addr/32 -o ppp$ppp_nu -j MASQUERADE
+
+ # 拨号成功+1
+ let count+=1
+ let ppp_nu+=1
+ else
+ echo_date "停止继续拨号..."
+ break
+ fi
+ done
+
+ echo_date "-----------------------------------------------------------"
+ # 添加路由表
+ FINAL_DIAL_NU=`ifconfig | grep -c ppp[0-9]`
+
+ echo_date "为$FINAL_DIAL_NU拨配置负载均衡..."
+ ip route del default
+ $cmd
+ ip route flush cache
+
+ echo_date "完成,总共完成$FINAL_DIAL_NU拨!请打开测速网站测速!"
+ echo_date "==========================================================="
+ # 拨号完毕,显示状态
+ # show_status
+}
+
+show_status(){
+ # for dbus info
+ echo_date "-----------------------------------------------------------"
+ iptables -nvL POSTROUTING -t nat
+ echo_date "-----------------------------------------------------------"
+ ps | grep pppd | grep -v grep
+ echo_date "-----------------------------------------------------------"
+ ip route show
+}
+
+stop(){
+ local PIDS=$(ps|grep ppp|grep -E "mdial|duobo"|awk '{print $1}')
+ if [ -n "$PIDS" ];then
+ echo_date "==========================================================="
+ echo_date "关闭多拨进程!"
+ for PID in $PIDS
+ do
+ kill -9 $PID >/dev/null 2>&1
+ done
+ fi
+ # 清除iptables
+ local nat_indexs=$(iptables -t nat -L POSTROUTING -v -n --line-numbers|grep ppp|grep -v ppp0|sort -rn|awk '{print $1}')
+ if [ -n "$nat_indexs" ];then
+ echo_date "清除iptables规则!"
+ for nat_index in $nat_indexs
+ do
+ iptables -t nat -D POSTROUTING $nat_index >/dev/null 2>&1
+ done
+ fi
+
+ # 重建路由表
+ if [ -n "$(ip route show|grep weight)" ];then
+ echo_date "重建默认路由表"
+ ip route del default
+ ip route flush cache
+ echo_date "多拨成功关闭,恢复单线单拨状态!"
+ fi
+}
+
+
+case $1 in
+start)
+ if [ "$mdial_enable" == "1" ];then
+ logger "[软件中心]: 启动单线多拨!"
+ start >> $LOG_FILE
+ else
+ logger "[软件中心]: 单线多拨未设置开机启动,跳过!"
+ fi
+ ;;
+stop)
+ stop >> $LOG_FILE
+ ;;
+esac
+
+if [ -z "$1" ];then
+ if [ "$mdial_enable" == "1" ];then
+ start >> $LOG_FILE
+ else
+ stop >> $LOG_FILE
+ fi
+fi
diff --git a/mdial/mdial/scripts/mdial_status.sh b/mdial/mdial/scripts/mdial_status.sh
new file mode 100644
index 0000000..656743f
--- /dev/null
+++ b/mdial/mdial/scripts/mdial_status.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+timestamp=$(date +'%Y/%m/%d %H:%M:%S')
+alias echo_date='echo $timestamp'
+export KSROOT=/jffs/softcenter
+source $KSROOT/scripts/base.sh
+
+json_init(){
+ POST_DATA2='{}'
+}
+
+json_add_string(){
+ POST_DATA2=`echo $POST_DATA2 | jq --arg var "$2" '. + {'$1': $var}'`
+}
+
+json_dump() {
+ echo $POST_DATA2 | jq .
+}
+
+POST_DATA1='{}'
+NU=$(ifconfig|grep ppp|awk '{print $1}'|sed 's/ppp//g')
+for nu in $NU
+do
+ local P0=$(ifconfig|grep ppp$nu -A 6)
+ local P1=$(echo "$P0" | grep -Eo 'ppp[0-9]')
+ local P2=$(echo "$P0" | grep -Eo 'inet addr:([0-9]{1,3}[\.]){3}[0-9]{1,3}'|awk -F":" '{print $2}')
+ local P3=$(echo "$P0" | grep -Eo 'P-t-P:([0-9]{1,3}[\.]){3}[0-9]{1,3}'|awk -F":" '{print $2}')
+ local P4=$(echo "$P0" | grep -Eo 'RX bytes:[0-9]+ \(.+) '|grep -Eo '\(.+)'|sed 's/[()]//g')
+ local P5=$(echo "$P0" | grep -Eo 'TX bytes:[0-9]+ \(.+)'|grep -Eo '\(.+)'|sed 's/[()]//g')
+ json_init
+ json_add_string if "$P1"
+ json_add_string ip "$P2"
+ json_add_string gw "$P3"
+ json_add_string rx "$P4"
+ json_add_string tx "$P5"
+ json_dump
+ POST_DATA1=`echo $POST_DATA1 | jq --argjson args "$POST_DATA2" '. + {'\"ppp$nu\"': $args}'`
+done
+
+POST_DATA1=`echo $POST_DATA1|base64_encode`
+
+if [ -n "$NU" ]; then
+ echo "$POST_DATA1" > /tmp/mdial.log
+else
+ echo "null" > /tmp/mdial.log
+fi
diff --git a/mdial/mdial/uninstall.sh b/mdial/mdial/uninstall.sh
new file mode 100644
index 0000000..df7585b
--- /dev/null
+++ b/mdial/mdial/uninstall.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+eval `dbus export mdial_`
+source /jffs/softcenter/scripts/base.sh
+
+sh /jffs/softcenter/scripts/mdial_config.sh stop
+
+find /jffs/softcenter/init.d/ -name "*mdial*" | xargs rm -rf
+rm -rf /jffs/softcenter/res/icon-mdial.png
+rm -rf /jffs/softcenter/scripts/mdial*.sh
+rm -rf /jffs/softcenter/webs/Module_mdial.asp
+rm -f /jffs/softcenter/scripts/uninstall_mdial.sh
diff --git a/mdial/mdial/webs/Module_mdial.asp b/mdial/mdial/webs/Module_mdial.asp
new file mode 100644
index 0000000..2f53702
--- /dev/null
+++ b/mdial/mdial/webs/Module_mdial.asp
@@ -0,0 +1,684 @@
+
+
+
+
+
+
+
+
+
+单线多拨
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+